<html>
  <head>
    <title>Neil Engine Factor Tool</title>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <style>
      table {
        margin: 10px;
      }
      table, th, td {
        border: 1px solid black;
      }
    </style>
  </head>
  <body>
    <label>Import</label>
    <textarea id='import' wrap='hard' style='width: 100%;' rows='7'></textarea>
    <button id='import_button'>Import</button>
    <hr>
    <div style="display: flex; flex-wrap: wrap;">
      <div style="margin: 10px;">
        <label>Checkmate Value</label>
        <input id='checkmate' style='width: 100px;' type='text' value='-Infinity'/>
      </div>
      <div style="margin: 10px;">
        <label>Check Value</label>
        <input id='check' style='width: 100px;' type='text'/>
      </div>
      <div style="margin: 10px;">
        <label>Timeline Advantage</label>
        <input id='timelineAdvantage' style='width: 100px;' type='text'/>
      </div>
      <div style="margin: 10px;">
        <label>Inactive Timelines</label>
        <input id='inactiveTimelines' style='width: 100px;' type='text'/>
      </div>
      <div style="margin: 10px;">
        <label>Per Spatial Move</label>
        <input id='spatialMove' style='width: 100px;' type='text'/>
      </div>
    </div>
    <div style="display: flex; flex-wrap: wrap;">
      <div style="margin: 10px;">
        <label>Pawn Base Value</label>
        <input id='base_P' style='width: 100%;' type='text'/>
        <label>Pawn Board Value (Added PST)</label>
        <table id='table_P'></table>
      </div>
      <div style="margin: 10px;">
        <label>Bishop Base Value</label>
        <input id='base_B' style='width: 100%;' type='text'/>
        <label>Bishop Board Value (Added PST)</label>
        <table id='table_B'></table>
      </div>
      <div style="margin: 10px;">
        <label>Knight Base Value</label>
        <input id='base_N' style='width: 100%;' type='text'/>
        <label>Knight Board Value (Added PST)</label>
        <table id='table_N'></table>
      </div>
      <div style="margin: 10px;">
        <label>Rook Base Value</label>
        <input id='base_R' style='width: 100%;' type='text'/>
        <label>Rook Board Value (Added PST)</label>
        <table id='table_R'></table>
      </div>
      <div style="margin: 10px;">
        <label>Princess Base Value</label>
        <input id='base_S' style='width: 100%;' type='text'/>
        <label>Princess Board Value (Added PST)</label>
        <table id='table_S'></table>
      </div>
      <div style="margin: 10px;">
        <label>Queen Base Value</label>
        <input id='base_Q' style='width: 100%;' type='text'/>
        <label>Queen Board Value (Added PST)</label>
        <table id='table_Q'></table>
      </div>
      <div style="margin: 10px;">
        <label>King Base Value</label>
        <input id='base_K' style='width: 100%;' type='text'/>
        <label>King Board Value (Added PST)</label>
        <table id='table_K'></table>
      </div>
    </div>
    <hr>
    <label>Export</label>
    <textarea id='export' style='width: 100%;' rows='7'></textarea>
    <button id='export_button' wrap='hard' onclick='exportFunc'>Export</button>
    <script>
      document.getElementById('import').value = '';
      document.getElementById('export').value = '';
    </script>
    <script src='table.js'></script>
    <script src='export.js'></script>
    <script src='import.js'></script>
  </body>
</html>
